<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Box Sizing demo</title>

	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#box {
			height: 150px;
			width: 150px;
			padding: 50px;
			border: 1px solid black;
			background-color: orange;
		}
	</style>
	<!-- without border box, border and padding is added on top of the width -->
	<!-- example: left 1px border + 50px left padding +150px width + 50px right padding + 1px right border = 252px -->

	<!-- with the use of border box, border and padding is included in the total width -->
	<!-- example: 1px left border + 50 px left  padding + 48px width + 50px right padding + 1px right border = 150px -->

</head>
<body>
	<div id="box">Hello</div>
</body>
</html>